Updates before OLS
Junio C Hamano committed
Jul 14, 2006 at 00:48 UTC
997283a8e87179b5b87a909686869d7843c8e19a
3 files changed
+73
Gitweb
+65
new file mode 100755
index 0000000000..93f8080b11
--- /dev/null
+++ b/Gitweb
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+cd gitweb &&
+DEST=`cd ../../index && /bin/pwd` || exit
+
+sed -e '
+/^our .gitbin = /s|"/usr/bin"|"/home/junio/bin/Linux"|
+/^our .GIT = /s|"/usr/bin/|"/home/junio/bin/Linux/|
+/^our .projectroot = /s|".*"|"/opt/packrat/playpen/public/in-place/git"|
+/^our .stylesheet = /s|".*"|"/gitweb.css"|
+/^our .projects_list = /s|".*"|"/opt/packrat/playpen/public/in-place/git/index/index.aux"|
+' gitweb.cgi >gitweb.cgi++
+
+differs=
+
+if test -f "$DEST/gitweb.cgi"
+then
+ diff -u "$DEST/gitweb.cgi" gitweb.cgi++ || differs="g$differs"
+else
+ differs="g$differs"
+fi
+
+if test -f "$DEST/gitweb.css"
+then
+ diff -u "$DEST/gitweb.css" gitweb.css || differs="s$differs"
+else
+ differs="s$differs"
+fi
+
+case "$differs" in
+'')
+ echo Up to date. ;;
+*)
+ while echo -n 'Update [y/N]? '
+ do
+ read ans
+ case "$ans" in
+ [Yy])
+ ans=y
+ break ;;
+ '' | [Nn])
+ ans=n
+ break ;;
+ esac
+ done
+ case "$ans" in
+ y) ;;
+ *) exit
+ esac
+esac
+
+case "$differs" in
+*g*)
+ rm -f "$DEST/gitweb.cgi"
+ cp gitweb.cgi++ "$DEST/gitweb.cgi"
+ chmod +x "$DEST/gitweb.cgi"
+ ;;
+esac
+
+case "$differs" in
+*s*)
+ rm -f "$DEST/gitweb.css"
+ cp gitweb.css "$DEST/gitweb.css"
+ ;;
+esac
Make
+4
index d1ae5db656..e3fd6b0c0f 100755
--- a/Make
+++ b/Make
@@ -7,6 +7,10 @@ LANG=C
LC_CTYPE=C
export PATH LANG LC_CTYPE
+# for now...
+GIT_SVN_NO_LIB=1
+export GIT_SVN_NO_LIB
+
case "`git symbolic-ref HEAD`" in
refs/heads/next)
d="bindir=$HOME/bin/Linux gitexecdir=$HOME/bin/Linux" ;;
TODO
+4
index 8675150846..eec7bbb10d 100644
--- a/TODO
+++ b/TODO
@@ -122,6 +122,10 @@ Technical (milder)
Technical (trivial)
-------------------
+* git-cherry-pick should check if the original commit message is
+ just a single liner, in which case it should add a LF before
+ appending "cherry-picked from..." message.
+
* git-clone fail .git/refs/foo (Yann Dirson <ydirson@altern.org>)
<20060610225040.GA7766@nowhere.earth>